Subject: RE: [SIP] sip in mime

From: Jonathan Rosenberg <[email-masked]>
Date: Sat, 10 Feb 2001 00:41:03 -0500

Indeed, it was agreed at the last meeting (at least, agreed upon by those at
the bar bof), that it would be wise to deprecate the PGP stuff (and, as a
result, the canonicalization rules), in favor of S/MIME or PGP/MIME. The
implication of this is that we will need to define a mime type of
message/sip so that the signed message can be carried in a part of the  SIP
message:

INVITE sip:[email-masked] SIP/2.0
To: sip:user@host
From: sip:caller@host
Content-Type: multipart/related
Boundary: ---

---
Content-Type: message/sip

To: sip:user@host
From: sip:caller@host
Content-Type: application/sdp

<sdp>
---
Content-Type: application/sdp

<sdp>

---
Content-Type: signature (whatever the type is for it)

sad08asdohasdojnasd08sdnoasdaosd09

Its big, but thats S/MIME.

-Jonathan R.

---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

> -----Original Message-----
> From: Michael Thomas [mailto:[email-masked]]
> Sent: Friday, February 09, 2001 11:05 AM
> To: [email-masked]
> Subject: [SIP] sip in mime
> 
> 
> 
> I scanned through the bis draft and it wasn't
> immediately obvious to me whether you can embed
> SIP headers in a MIME attachement. Specifically, I
> was wondering whether it would be legit to embed
> SIP headers and potentially recursively adding
> MIME multipart into a SMIME attachement. Allowing
> this would provide an arguably more standards
> track way of transporting secure end to end SIP
> headers in proxy routed messages. Even if you
> prefer the existing PGP mechanism, it would seem
> cleaner to place the PGP signed part into a MIME
> attachement so that we can relax some of the weird
> rules that I'm guessing are mainly an artifact of
> MIME not being baked enough in that part of SIP's
> evolution.
> 
> 		      Mike
> 
> _______________________________________________
> This list is for continuing development of the SIP protocol.
> The sip-implementer's list is the place to discuss implementation,
> and to receive advice on understanding existing sip.
> To subscribe to it, send mail to [email-masked] with
> "subscribe sip-implementors" in the body.
> 

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementer's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to [email-masked] with
"subscribe sip-implementors" in the body.